> ## Documentation Index
> Fetch the complete documentation index at: https://conductorone-lee-google-cloud-project-mcp-setup.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete Entitlement Owner

> DeleteEntitlementOwner deletes an entitlement ownership source for an app entitlement.



## OpenAPI

````yaml https://spec.speakeasy.com/conductor-one/conductorone/my-source-with-code-samples delete /api/v2/apps/{app_id}/entitlements/{entitlement_id}/owners/entitlements/{role_slug}/{app_entitlement_ref_app_id}/{app_entitlement_ref_id}
openapi: 3.1.0
info:
  description: The C1 API is a HTTP API for managing C1 resources.
  title: C1 API
  version: 0.1.0-alpha
servers:
  - description: The C1 API server for the current tenant.
    url: https://{tenantDomain}.conductor.one
    variables:
      tenantDomain:
        default: example
        description: The domain of the tenant to use for this request.
security:
  - bearerAuth: []
    oauth: []
paths:
  /api/v2/apps/{app_id}/entitlements/{entitlement_id}/owners/entitlements/{role_slug}/{app_entitlement_ref_app_id}/{app_entitlement_ref_id}:
    delete:
      tags:
        - App Entitlement Owner V2
      summary: Delete Entitlement Owner
      description: >-
        DeleteEntitlementOwner deletes an entitlement ownership source for an
        app entitlement.
      operationId: c1.api.app.v2.AppEntitlementOwners.DeleteEntitlementOwner
      parameters:
        - in: path
          name: app_id
          required: true
          schema:
            description: The appId field.
            type: string
        - in: path
          name: entitlement_id
          required: true
          schema:
            description: The entitlementId field.
            type: string
        - in: path
          name: role_slug
          required: true
          schema:
            description: The roleSlug field.
            type: string
        - in: path
          name: app_entitlement_ref_app_id
          required: true
          schema:
            description: The appId field.
            type: string
        - in: path
          name: app_entitlement_ref_id
          required: true
          schema:
            description: The id field.
            type: string
      requestBody:
        content:
          application/json:
            schema:
              $ref: >-
                #/components/schemas/c1.api.app.v2.DeleteAppEntitlementEntitlementOwnerRequestInput
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/c1.api.app.v2.DeleteAppEntitlementEntitlementOwnerResponse
          description: >-
            DeleteAppEntitlementEntitlementOwnerResponse is the empty response
            for deleting an entitlement ownership source on an entitlement.
      x-codeSamples:
        - lang: typescript
          label: Typescript (SDK)
          source: >-
            import { ConductoroneSDKTypescript } from
            "conductorone-sdk-typescript";


            const conductoroneSDKTypescript = new ConductoroneSDKTypescript({
              security: {
                bearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
                oauth: "<YOUR_OAUTH_HERE>",
              },
            });


            async function run() {
              const result = await conductoroneSDKTypescript.appEntitlementOwnersV2.deleteEntitlementOwner({
                appId: "<id>",
                entitlementId: "<id>",
                roleSlug: "<value>",
                appEntitlementRefAppId: "<id>",
                appEntitlementRefId: "<id>",
              });

              console.log(result);
            }


            run();
components:
  schemas:
    c1.api.app.v2.DeleteAppEntitlementEntitlementOwnerRequestInput:
      description: >-
        DeleteAppEntitlementEntitlementOwnerRequest is the request for deleting
        an entitlement ownership source on an entitlement.
      properties:
        appEntitlementRef:
          oneOf:
            - $ref: '#/components/schemas/c1.api.app.v1.AppEntitlementRef'
            - type: 'null'
      title: Delete App Entitlement Entitlement Owner Request
      type: object
      x-speakeasy-name-override: DeleteAppEntitlementEntitlementOwnerRequest
    c1.api.app.v2.DeleteAppEntitlementEntitlementOwnerResponse:
      description: >-
        DeleteAppEntitlementEntitlementOwnerResponse is the empty response for
        deleting an entitlement ownership source on an entitlement.
      title: Delete App Entitlement Entitlement Owner Response
      type: object
      x-speakeasy-name-override: DeleteAppEntitlementEntitlementOwnerResponse
    c1.api.app.v1.AppEntitlementRef:
      description: The AppEntitlementRef message.
      properties:
        appId:
          description: The appId field.
          type:
            - string
            - 'null'
        id:
          description: The id field.
          type:
            - string
            - 'null'
      title: App Entitlement Ref
      type: object
      x-speakeasy-name-override: AppEntitlementRef
  securitySchemes:
    bearerAuth:
      scheme: bearer
      type: http
    oauth:
      description: >-
        This API uses OAuth2 with the Client Credential flow.

        Client Credentials must be sent in the BODY, not the headers.

        For an example of how to implement this, refer to the
        [c1TokenSource.Token()](https://github.com/ConductorOne/conductorone-sdk-go/blob/3375fe7c0126d17e7ec4e711693dee7b791023aa/token_source.go#L101-L187)
        function.
      flows:
        clientCredentials:
          scopes: {}
          tokenUrl: /auth/v1/token
      type: oauth2

````